<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
    'type' => 'button',
    'id' => null,
    'onclick' => null,
    'href' => null,
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
    'type' => 'button',
    'id' => null,
    'onclick' => null,
    'href' => null,
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

<?php if($href): ?>
    <a
        href="<?php echo e($href); ?>"
        <?php if(isset($id)): ?> id="<?php echo e($id); ?>" <?php endif; ?>
        <?php if(isset($onclick)): ?> onclick="<?php echo e($onclick); ?>" <?php endif; ?>
        style="background-color: #d4af37; color: #f5f5dc;"
        <?php echo e($attributes->merge(['class' => 'btn dark-btn-theme font-open-sans rounded'])); ?>

    >
        <?php echo e($slot); ?>

    </a>
<?php else: ?>
    <button
        type="<?php echo e($type); ?>"
        <?php if(isset($id)): ?> id="<?php echo e($id); ?>" <?php endif; ?>
        <?php if(isset($onclick)): ?> onclick="<?php echo e($onclick); ?>" <?php endif; ?>
        style="background-color: #d4af37; color: #f5f5dc;"
        <?php echo e($attributes->merge(['class' => 'btn dark-btn-theme font-open-sans rounded'])); ?>

    >
        <?php echo e($slot); ?>

    </button>
<?php endif; ?>
<?php /**PATH C:\PAW\PiaZhang\resources\views/components/gold-button.blade.php ENDPATH**/ ?>